require 'drb/drb'

class DFile
  def initialize(fname)
    @fname = fname
  end

  def open
    mode = File::RDWR | File::CREAT
    File.open(@fname, mode) do |f|
      yield(f)
    end
  end
end

uri = 'druby://localhost:23456'
front = DFile.new('test_dfile.tmp')
DRb.start_service(uri, front)
sleep 1 while true
